curl -X POST 'https://crypto-api.yativo.com/api/v1/assets/add-asset' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"chain": "solana",
"ticker": "USDC_SOL"
}'
{
"status": "success",
"message": "Asset created successfully",
"data": {
"asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4E6",
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"chain": "solana",
"ticker": "USDC_SOL",
"wallet_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
"status": "active",
"created_at": "2026-03-26T12:00:00Z"
}
}
Assets
Create Wallet
Create a new cryptocurrency wallet for an account
POST
/
v1
/
assets
/
add-asset
curl -X POST 'https://crypto-api.yativo.com/api/v1/assets/add-asset' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"chain": "solana",
"ticker": "USDC_SOL"
}'
{
"status": "success",
"message": "Asset created successfully",
"data": {
"asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4E6",
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"chain": "solana",
"ticker": "USDC_SOL",
"wallet_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
"status": "active",
"created_at": "2026-03-26T12:00:00Z"
}
}
string
required
Bearer token:
Bearer YOUR_ACCESS_TOKENstring
required
The account ID to create the wallet under.
string
required
The blockchain network. One of:
ethereum, solana, bitcoin, polygon, bsc, base, arbitrum, optimism, xdc.string
required
The token ticker symbol, e.g.
USDC_SOL, ETH, BTC.curl -X POST 'https://crypto-api.yativo.com/api/v1/assets/add-asset' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"chain": "solana",
"ticker": "USDC_SOL"
}'
{
"status": "success",
"message": "Asset created successfully",
"data": {
"asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4E6",
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
"chain": "solana",
"ticker": "USDC_SOL",
"wallet_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
"status": "active",
"created_at": "2026-03-26T12:00:00Z"
}
}

